<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for codecsInList StructType
 * @subpackage Structs
 */
class CodecsInList extends AbstractStructBase
{
    /**
     * The codecNames
     * Meta information extracted from the WSDL
     * - maxOccurs: 30
     * - minOccurs: 0
     * @var string[]
     */
    public $codecNames;
    /**
     * Constructor method for codecsInList
     * @uses CodecsInList::setCodecNames()
     * @param string[] $codecNames
     */
    public function __construct(array $codecNames = array())
    {
        $this
            ->setCodecNames($codecNames);
    }
    /**
     * Get codecNames value
     * @return string[]|null
     */
    public function getCodecNames()
    {
        return $this->codecNames;
    }
    /**
     * Set codecNames value
     * @param string[] $codecNames
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList
     */
    public function setCodecNames(array $codecNames = array())
    {
        $this->codecNames = $codecNames;
        return $this;
    }
    /**
     * Add item to codecNames value
     * @throws \InvalidArgumentException
     * @param string $item
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList
     */
    public function addToCodecNames($item)
    {
        $this->codecNames[] = $item;
        return $this;
    }
}
